tracker-services(1)

NAME
tracker-services - shows service types and propeties available in trackerd

SYNOPSIS
tracker-services [-sp]

DESCRIPTION

tracker-services returns the services types and properties available in tracker(1)

Trackerd understands a number of different service types which are used to group search results and documents together. All searches and queries can be refined by specifying a service type to search from.

For example one could search for "Roses" in the service Conversations which would only return hits from chat conversations.

OPTIONS

-s  Return service types.

-p  Return properties.

These options can be used simultaneously.

SERVICE TYPES
Default services types (Note than applications can add more):

Files
    Search for files only. This does not include Emails or Conversations.

Folders
    Search for folders i.e. directories.

Documents
    Searches for general documents like word processing, spreadsheets or PDF.

Emails
    Searches for Emails.

EmailAttachments
    Search es for Email attachments.

Music
    Search for music files.

Images
    Search for image files.

Videos
    Search for video files.

Text
    Search for plain text files.

Development
    Search for development files. This includes make files, source code files and the like.

Other
    Search for documents which could not be put in one of the other services.

Applications
    Search for applications.

SEE ALSO
trackerd(1), tracker-search(1), tracker-search-tool(1), tracker-query(1), tracker-files(1).